<?php

class Waindigo_Invoices_Listener_LoadClass extends Waindigo_Listener_LoadClass
{

    protected function _getExtendedClasses()
    {
        return array(
            'Waindigo_Invoices' => array(
                'model' => array(
                    'XenForo_Model_UserUpgrade'
                ), /* END 'model' */
                'controller' => array(
                    'AdvancedUpgrades_ControllerPublic_Upgrades',
                    'XenForo_ControllerPublic_Account'
                ), /* END 'controller' */
            ), /* END 'Waindigo_Invoices' */
        );
    } /* END _getExtendedClasses */

    public static function loadClassModel($class, array &$extend)
    {
        $loadClassModel = new Waindigo_Invoices_Listener_LoadClass($class, $extend, 'model');
        $extend = $loadClassModel->run();
    } /* END loadClassModel */

    public static function loadClassController($class, array &$extend)
    {
        $loadClassController = new Waindigo_Invoices_Listener_LoadClass($class, $extend, 'controller');
        $extend = $loadClassController->run();
    } /* END loadClassController */
}