<?php

class Waindigo_Invoices_Pdf_Block_Invoice_Header_Address extends Waindigo_Pdf_Block
{

    public function draw(Waindigo_Pdf $pdf, array $strings = array(), $indent = 0)
    {
        parent::draw($pdf);

        $x = $this->_pdf->getPageLeft() + $indent;
        $font = Zend_Pdf_Font::fontWithName(Zend_Pdf_Font::FONT_HELVETICA_BOLD);
        $fontSize = 11;
        $top = $this->_pdf->getPageTop();
        foreach ($strings as $string) {
            $y = $this->_pdf->getPageHeight() - $top;
            $this->_page->setFont($font, $fontSize)->drawText($string, $x, $y, 'UTF-8');
            $top += $fontSize * 1.5;
            $font = Zend_Pdf_Font::fontWithName(Zend_Pdf_Font::FONT_HELVETICA);
            $fontSize = 10;
        }

        /*
         * if ($invoice['from_customer']['vat_number']) { $x = $this->_marginX;
         * $y = $this->_pageHeight-130; $fontSize = 11; $font =
         * Zend_Pdf_Font::fontWithName(Zend_Pdf_Font::FONT_HELVETICA_BOLD);
         * $string = new XenForo_Phrase('waindigo_vat_number_invoices'). ":";
         * $width = $this->widthForStringUsingFontSize($string, $font,
         * $fontSize); $this->_page->setFont($font,
         * $fontSize)->drawText($string, $x, $y); $font =
         * Zend_Pdf_Font::fontWithName(Zend_Pdf_Font::FONT_HELVETICA); $fontSize
         * = 10; $this->_page->setFont($font,
         * $fontSize)->drawText($invoice['from_customer']['vat_number'],
         * $x+$width+10, $y); }
         */

        return $top;
    } /* END draw */
}