<?php

class Waindigo_Invoices_Pdf_Block_Invoice_Header_PageDetails extends Waindigo_Pdf_Block
{

    public function draw(Waindigo_Pdf $pdf, array $strings = array())
    {
        parent::draw($pdf);

        foreach ($strings as $string1 => $string2) {
            $y = $this->_pdf->getPageHeight() - $this->_pdf->getPageTop();
            $string1 .= ":";
            $fontSize = 11;
            $font = Zend_Pdf_Font::fontWithName(Zend_Pdf_Font::FONT_HELVETICA_BOLD);
            $width = $this->widthForStringUsingFontSize($string1, $font, $fontSize);
            $x = $this->_pdf->getPageWidth() - $width - 100;
            $this->_page->setFont($font, $fontSize)->drawText($string1, $x, $y, 'UTF-8');
            $fontSize = 10;
            $font = Zend_Pdf_Font::fontWithName(Zend_Pdf_Font::FONT_HELVETICA);
            $x = $this->_pdf->getPageWidth() - 90;
            $this->_page->setFont($font, $fontSize)->drawText($string2, $x, $y, 'UTF-8');
            $this->_pdf->setPageTop($this->_pdf->getPageTop() + 17);
        }
    } /* END draw */
}