<?php

class Waindigo_Invoices_Pdf_Invoice extends Waindigo_Pdf
{

    protected $_invoice = array();

    public function draw(array $invoice = array())
    {
        $this->_invoice = $invoice;

        $this->_drawItems();
        $this->_drawFooter();
    } /* END draw */

    protected function _drawHeader()
    {
        $headerBlock = Waindigo_Pdf_Block::create('Waindigo_Invoices_Pdf_Block_Invoice_Header');
        $headerBlock->draw($this, $this->_invoice, $this->_pageNumber);
    } /* END _drawHeader */

    protected function _drawItems()
    {
        $itemsBlock = Waindigo_Pdf_Block::create('Waindigo_Invoices_Pdf_Block_Invoice_Items');
        $itemsBlock->draw($this, $this->_invoice);
    } /* END _drawItems */

    protected function _drawFooter()
    {
        // $page = $pdf->getCurrentPage();
        // if (!isset($invoice['comments']))
        // {
        // $invoice['comments'] = $invoice['from_customer']['invoice_footer'];
        // }
        // if ($invoice['from_customer']['account_name'] &&
    // $invoice['from_customer']['account_number'] &&
    // $invoice['from_customer']['sort_code'])
        // {
        // $invoice['comments'] .= "\n\nFor standing orders and bank
    // transfers:\n".
        // "Account name: " . $invoice['from_customer']['account_name'] . "\n".
        // "Account number: " . $invoice['from_customer']['account_number'] .
    // "\n".
        // "Sort code: " . $invoice['from_customer']['sort_code'];
        // }
        // $comments = explode("\n", $invoice['comments']);
        // $x = $this->_marginX;
        // $y = $this->_marginY + count($comments)*12;
        // $font = Zend_Pdf_Font::fontWithName(Zend_Pdf_Font::FONT_HELVETICA);
        // $fontSize = 10;
        // foreach ($comments as $string)
        // {
        // $page->setFont($font, $fontSize)->drawText($string, $x, $y);
        // $y -= 12;
        // }
    } /* END _drawFooter */
}