<?php

/**
 * Helper to get the invoice view data (likely in PDF format).
 */
class Waindigo_Invoices_ViewAdmin_Invoice_View extends XenForo_ViewAdmin_Base
{

    /**
     * Render the exported data to PDF.
     *
     * @return string
     */
    public function renderRaw()
    {
        $pdf = $this->_params['pdf']->render();

        header('Content-type: application/pdf');
        header('Content-Disposition: inline; filename="invoice.pdf"');
        header('Content-Length: ' . strlen($pdf));

        return $pdf;
    } /* END renderRaw */
}