<?php

class Waindigo_Invoices_Listener_FileHealthCheck
{

    public static function fileHealthCheck(XenForo_ControllerAdmin_Abstract $controller, array &$hashes)
    {
        $hashes = array_merge($hashes,
            array(
                'library/Waindigo/Invoices/AlertHandler/Invoice.php' => 'fe68b09757920e60d86dae8c097581db',
                'library/Waindigo/Invoices/ControllerAdmin/Invoice.php' => 'cf5dc8be2ddf07c74020cd1071955b4d',
                'library/Waindigo/Invoices/ControllerAdmin/Recurring/Invoice.php' => '88449c2ad34b0a48a99995e3d98c698e',
                'library/Waindigo/Invoices/CronEntry/RecurringInvoices.php' => 'a77d055aa111f8f9619dfea8de2c439e',
                'library/Waindigo/Invoices/DataWriter/Invoice/Item/Field.php' => 'c62bd3fd47ee81d282630221b361008e',
                'library/Waindigo/Invoices/DataWriter/Invoice/Item.php' => 'e27c91e5b67f31a6074dfa7b515c17c1',
                'library/Waindigo/Invoices/DataWriter/Invoice.php' => '0443634bdbd48a7a235eba553576ceb0',
                'library/Waindigo/Invoices/DataWriter/Recurring/Invoice/Item/Field.php' => 'f4c88c326e2d6078d18500c2d3ca9b63',
                'library/Waindigo/Invoices/DataWriter/Recurring/Invoice/Item.php' => 'e8c8b88705b9afb9ed72470202a0ff24',
                'library/Waindigo/Invoices/DataWriter/Recurring/Invoice.php' => '42ad2d0185021f7db7a9a78411162d9b',
                'library/Waindigo/Invoices/Extend/AdvancedUpgrades/ControllerPublic/Upgrades.php' => '59b2d498914088ccd1b45abd5e32259b',
                'library/Waindigo/Invoices/Extend/XenForo/ControllerPublic/Account.php' => '824a5dd3c48e966bcfd513cca145bfa1',
                'library/Waindigo/Invoices/Extend/XenForo/Model/UserUpgrade.php' => '2df8ab90ed93ee6ea6463df145585b26',
                'library/Waindigo/Invoices/Install/Controller.php' => 'f70d0e306f0598be39ec1966035500e7',
                'library/Waindigo/Invoices/Listener/LoadClass.php' => '760e8002f77711ebab7dd848dd3688bf',
                'library/Waindigo/Invoices/Listener/TemplateCreate.php' => 'e013910e8b044a19fac7bd6f4fdd0a6e',
                'library/Waindigo/Invoices/Listener/TemplateHook.php' => '4a25814f1ebf2e5c8fbbfdd1439a1001',
                'library/Waindigo/Invoices/Listener/TemplatePostRender.php' => '18d1cfdf93f51d56627edac0aa1cf519',
                'library/Waindigo/Invoices/Model/Invoice/Item/Field.php' => '8b37d00dd0f74aa761d673a6e3dbff0a',
                'library/Waindigo/Invoices/Model/Invoice/Item.php' => '2700d276e7245828dea04803754007d0',
                'library/Waindigo/Invoices/Model/Invoice.php' => '2a5071667bf6f42a90dd9cee70e8cdb8',
                'library/Waindigo/Invoices/Model/Recurring/Invoice/Item/Field.php' => '90d1fadbe05f9e683aacc3a0f01c1cf8',
                'library/Waindigo/Invoices/Model/Recurring/Invoice/Item.php' => '14785d572268f415b84ab9728a405247',
                'library/Waindigo/Invoices/Model/Recurring/Invoice.php' => '9845b5083e855edcf83cb9b8fd8addce',
                'library/Waindigo/Invoices/Pdf/Block/Invoice/Header/Address.php' => 'f118fa5401d9f57c87bf8e73f05653c1',
                'library/Waindigo/Invoices/Pdf/Block/Invoice/Header/PageDetails.php' => '55bb5cafe5c431c9858f7b00ada96aec',
                'library/Waindigo/Invoices/Pdf/Block/Invoice/Header.php' => 'e7ae1b843c93887c7ac49c248b31d44b',
                'library/Waindigo/Invoices/Pdf/Block/Invoice/Items.php' => '1b2fe5951fd0e466c5d77635df545e88',
                'library/Waindigo/Invoices/Pdf/Invoice.php' => 'a0b97e4c177481985b07a4ffa24b8184',
                'library/Waindigo/Invoices/Pdf/StandingOrder.php' => 'b40e2325a6c45b40163fd46d69f14372',
                'library/Waindigo/Invoices/Route/PrefixAdmin/Invoices.php' => '57fa0e37a2415b6856cd54c6e0dc1ce5',
                'library/Waindigo/Invoices/Route/PrefixAdmin/RecurringInvoices.php' => 'a92f093e80ee4c04461ef15665cdb53a',
                'library/Waindigo/Invoices/ViewAdmin/Invoice/Edit.php' => '2bcbf067a6328fad186ecdfbd3b6744a',
                'library/Waindigo/Invoices/ViewAdmin/Invoice/List.php' => '4bc793c9a208bd34b766aa7c23800e08',
                'library/Waindigo/Invoices/ViewAdmin/Invoice/SearchFieldName.php' => 'd815ce378c82a30000abeb87f8c543f4',
                'library/Waindigo/Invoices/ViewAdmin/Invoice/View.php' => '0ef4bea7fc5a1342959c936c49980be9',
                'library/Waindigo/Invoices/ViewAdmin/Recurring/Invoice/Edit.php' => '1d3ff9ba020baa00c6b6bc2f77b8be96',
                'library/Waindigo/Invoices/ViewAdmin/Recurring/Invoice/List.php' => 'b877a8655fab5999292360bf8698d37a',
                'library/Waindigo/Invoices/ViewAdmin/Recurring/Invoice/ViewStandingOrder.php' => '634873cac5e1f3f84d5fa45019174c0e',
                'library/Waindigo/Invoices/ViewPublic/Account/Invoice/View.php' => 'ebfac821b574e54ed3189ff301a84443',
                'library/Waindigo/Invoices/ViewPublic/Account/RecurringInvoice/View.php' => '06a541aac5c3cdaa162c25c216ab5b58',
                'library/Waindigo/Install.php' => '00d8b93ea3458f18752c348a09a16c50',
                'library/Waindigo/Install/20141110.php' => '7e9d8f07c2cb4f1a049f3ffb2f99bf43',
                'library/Waindigo/Deferred.php' => '4649953c0a44928b5e2d4a86e7d3f48a',
                'library/Waindigo/Deferred/20130725.php' => '699fb7a47bd443d53cb14f524321175a',
                'library/Waindigo/Listener/ControllerPreDispatch.php' => 'f51aeb4ef6c4acbce629188b04cd3643',
                'library/Waindigo/Listener/ControllerPreDispatch/20141011.php' => '1fcffd0dc3050b0bcb5b6e3b16f53019',
                'library/Waindigo/Listener/InitDependencies.php' => '5b755bcc0e553351c40871f4181ce5b0',
                'library/Waindigo/Listener/InitDependencies/20141020.php' => '9d6e3ad67e6605330b08f5d501f78289',
                'library/Waindigo/Listener/LoadClass.php' => 'bfdfe90f8d484d81b05889037a4fb091',
                'library/Waindigo/Listener/LoadClass/20141020.php' => 'b0356bae0c0fef18c196f78740b966ab',
                'library/Waindigo/Listener/Template.php' => 'b52cba9c298d9702b4536146d3ac4312',
                'library/Waindigo/Listener/Template/20141020.php' => '68366b94903d67485c57a05c85695edb',
                'library/Waindigo/Listener/TemplateCreate.php' => 'db5c0d5eb8c65b1840dd437e5cca69d6',
                'library/Waindigo/Listener/TemplateCreate/20130522.php' => 'd382f6f3a2a4e8c06d665b6af1365808',
                'library/Waindigo/Listener/TemplateHook.php' => '37c6a882bfb9d790801c94051fe3eb0d',
                'library/Waindigo/Listener/TemplateHook/20141020.php' => '7cea585f0284789f639fd08dbc1679b6',
                'library/Waindigo/Listener/TemplatePostRender.php' => '73d70bb432c859375b1b8c05ffd8d027',
                'library/Waindigo/Listener/TemplatePostRender/20140711.php' => '83c92589762bac3b5efa016de1b1aee3',
                'library/Waindigo/Pdf.php' => 'd0c547f6a47ba9dd0c482d8c4d30bb2d',
                'library/Waindigo/Pdf/20120522.php' => 'ffd80f64f4079b650dc740a2b459b3b7',
                'library/Waindigo/Pdf/Block.php' => 'e5c5ae5e5025e1bd9d648ac97bee3c76',
                'library/Waindigo/Pdf/Block/20130215.php' => '41e911d402bfa191f16e0d7088a9b42b',
                'library/Zend/Memory/AccessController.php' => 'b89b2dc878337665b6f2c273c24a080a',
                'library/Zend/Memory/Container.php' => '6bf219a47e70ab82956805b1fd888e7d',
                'library/Zend/Memory/Exception.php' => 'b77fafe7a71f6eaee77f59abf1871a7b',
                'library/Zend/Memory/Manager.php' => '1478aac4a1ce22e20addf8ec6f09f95a',
                'library/Zend/Memory/Value.php' => '3e0bcf85ba1619360d858a3e8b59b01c',
                'library/Zend/Memory/Container/Interface.php' => 'a583cedfa36fd083899bca9609eb6805',
                'library/Zend/Memory/Container/Locked.php' => '0906ee82fbddf62758d1129f76e428e8',
                'library/Zend/Memory/Container/Movable.php' => 'baae46e42b151d10dd34ef880f8d3dc5',
            ));
    } /* END fileHealthCheck */
}