<?php

class Waindigo_Invoices_Listener_TemplateHook extends Waindigo_Listener_TemplateHook
{

    protected function _getHooks()
    {
        return array(
            'account_wrapper_sidebar',
            'navigation_visitor_tab_links2',
            'account_contact_details_identities'
        );
    } /* END _getHooks */

    public static function templateHook($hookName, &$contents, array $hookParams, XenForo_Template_Abstract $template)
    {
        $templateHook = new Waindigo_Invoices_Listener_TemplateHook($hookName, $contents, $hookParams, $template);
        $contents = $templateHook->run();
    } /* END templateHook */

    protected function _accountWrapperSidebar()
    {
        $this->_appendTemplateAtSlot('pre_conversations', 'waindigo_account_wrapper_sidebar_invoices');
    } /* END _accountWrapperSidebar */

    protected function _navigationVisitorTabLinks2()
    {
        $this->_prependTemplate('waindigo_navigation_visitor_tab_invoices');
    }

    protected function _accountContactDetailsIdentities()
    {
        $this->_prependTemplate('waindgo_account_contact_details_invoices');
    } /* END _accountContactDetailsIdentities */
}